package com.yd.dal.mapper.marketing;

import com.github.pagehelper.Page;
import com.yd.api.agms.vo.statistics.LeadsStatisticsInfo;
import com.yd.dal.entity.leads.LeadsStatusInfo;
import com.yd.dal.entity.marketing.MktLeadsPool;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MktLeadsPoolMapper {
    int deleteByPrimaryKey(@Param("id") Long id);

    int insert(MktLeadsPool record);

    int insertSelective(MktLeadsPool record);

    MktLeadsPool selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktLeadsPool record);

    int updateByPrimaryKey(MktLeadsPool record);

    MktLeadsPool findByCustomerId(Long customerId);

    Page<LeadsStatisticsInfo> findALLByDate(@Param("isStatement") Integer isStatement, @Param("leadsStatus") Integer leadsStatus, @Param("expertApplyStatus") Integer expertApplyStatus, @Param("leadsStartTime") String leadsStartTime, @Param("leadsEndTime") String leadsEndTime);

    List<LeadsStatisticsInfo> findIsAssignLeads();

    List<LeadsStatusInfo> findLeadsStatusMap();
}